// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands.Pince;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystems.Bougie;
import frc.robot.subsystems.Pince;

/* You should consider using the more terse Command factories API instead https://docs.wpilib.org/en/stable/docs/software/commandbased/organizing-command-based.html#defining-commands */
public class Algue_inspire extends Command {
  /** Creates a new Algue_inspire. */
  private Pince pince;
  private Bougie bougie;
  public Algue_inspire(Pince pince, Bougie bougie) {
    this.pince = pince;
    this.bougie = bougie;
    addRequirements(pince, bougie);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}


  // Called every time the scheduler runs while the command is scheduled.

  //ajouter l'amperage pour arreter les moteurs
  @Override
  public void execute() {
    
    if(pince.emperagealgue()>60){
      pince.aspirealgue(0);
      bougie.Bleu();
    }
    else{
      pince.aspirealgue(0.5);
      
    }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    pince.aspirealgue(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
