// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.subsystems;

import edu.wpi.first.net.PortForwarder;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.LimelightHelpers;

public class Limelight3G extends SubsystemBase {
  /** Creates a new Limelight3. */
  public Limelight3G() {
    for(int port = 5800; port <=5807; port++){
      PortForwarder.add(port, "limelight.local", port);
    }
  }
  public double getX(){
    return LimelightHelpers.getTX("limelight-tag");
  }
  public boolean getV(){
    return LimelightHelpers.getTV("limelight-tag");
  }
  @Override
  public void periodic() {
    // This method will be called once per scheduler run
  }
}
